map $http_referer $bad_referer {
  default 0;
  "https://director.millicast.com/index" 1;
  "https://director.millicast.com/register" 1;
  "https://director.millicast.com/home" 1;
  "https://director.millicast.com/login" 1;
}

